openSUSE Leap 42.2 Release - action #11896

merge back maintenance updates
2016-05-10 12:33 - Inussel

Status: Closed Start date: 2016-10-14
Priority: Normal Due date: 2016-10-14
Assignee: % Done: 100%
Category: Release Engineering Estimated time: 4.00 hours
Target version: RC 1

Description

maintenance updates from the update project need to be merged back into the main repo

® use osc checkupdate (https:/github.com/coolo/factory-auto/osc-plugin-checkupdate.py) to find updated packages

e copy them back using 'osc copypac -e openSUSE:13.2:Update openSUSE:13.2 -m "Update to match Update channel
update#."'; On purpose do it by hand without automation to avoid screwups

¢ adjust the release number to be higher than in the update repo using FIXME!

¢ remove updates from the update repo by using "osc killupdate NUMBER"

[1] adjust the release number by checking the state of the package 'osc getbinaries openSUSE:13.2:Update . standard x86_64' and
then writting higher revision to .spec file. To submit this update to repository just use 'osc ci --noservice -m "Add revision to ensure
new-enough over Update channel."

There should be a way to do this by means of obs

Related issues:

Copied from openSUSE Leap 42.1 Release - action #9014: merge back maintenance... Closed 2015-10-13 2015-10-14
Copied to openSUSE Leap 42.3 Release - action #16778: merge back maintenance ... Closed 2017-06-23 2017-06-23
History

#1 - 2016-05-10 12:33 - Inussel

- Copied from action #9014: merge back maintenance updates added

#2 - 2016-08-23 15:15 - Inussel
- Due date set to 2016-09-30
- Category set to Release Engineering

- Start date set to 2016-09-30

#3 - 2016-10-11 08:38 - Inussel
- Due date changed from 2016-09-30 to 2016-10-14
- Start date changed from 2016-09-30 to 2016-10-14

#4 - 2016-10-17 09:49 - Inussel
- Status changed from New to Closed

- % Done changed from 0 to 100

done

#5 - 2017-02-13 13:10 - Inussel

- Copied to action #16778: merge back maintenance updates added
